/*
** fichier    : PyxInterf.h
** description: Prototypes des fonctions de la librairie d'interface PyxInterf pour appel Pyxvital/Pyxbio/Pyxiris
** Copyright(c) Pyxistem 1997-2008
*/

#ifndef _PYXINTERF_H
#define _PYXINTERF_H

#ifdef __cplusplus
extern "C" {
#endif

/* Dmarrage */
int __stdcall SSV_Launch(int cmdShow);
int __stdcall SSV_Launch_Ex(int cmdShow,
                            char* szPyxPath);

void __stdcall SSV_Cancel(HWND hwnd, int iWM);

/* Accs aux flux */
int __stdcall SSV_Read(char* szFlux,
                       char *szResult,
                       unsigned int sizeof_szResult);
int __stdcall SSV_Write(char* szFlux,
                        char *szBuffer,
                        unsigned int sizeof_szBuffer);

/* Accs aux autres fichiers */
int __stdcall SSV_ReadFile(char *szDir,
                           char* szFile,
                           char *szResult,
                           unsigned int sizeof_szResult);
int __stdcall SSV_WriteFile(char *szDir,
                            char* szFile,
                            char *szBuffer,
                            unsigned int sizeof_szBuffer);

int __stdcall SSV_ReadFileString(char *szDir,
                                 char* szFile,
                                 char *szSection,
                                 char *szEntry,
                                 char *szResult,
                                 unsigned int sizeof_szResult);
int __stdcall SSV_WriteFileString(char *szDir,
                                  char* szFile,
                                  char *szSection,
                                  char *szEntry,
                                  char *szBuffer);

/* Manipulations de fichiers */
int __stdcall SSV_ListFile(char *szDir,
                           char* szFile,
                           char *szResult,
                           unsigned int sizeof_szResult);
int __stdcall SSV_DeleteFile(char *szDir,
                             char* szFile);
int __stdcall SSV_RenameFile(char *szDir,
                             char* szFileOld,
                             char *szFileNew);

/* Recherches dans les tables */
int __stdcall SSV_ReadTable(char *szTable,
                            char *szResult,
                            unsigned int sizeof_szResult);
int __stdcall SSV_FindTable(char *szTable,
                            char *szCode,
                            char *szResult,
                            unsigned int sizeof_szResult,
                            BOOL unique);
int __stdcall SSV_Find2Table(char *szTable,
                             char *szCode1, char *szCode2,
                             char *szResult,
                             unsigned int sizeof_szResult,
                             BOOL unique);

/* Utilitaires divers */
int __stdcall SSV_Version(char *szVersion,
                          unsigned int sizeof_szVersion);


/* Appel direct du module PYXVITAL */
int __stdcall SSV_Command(HWND hwnd,						// Handle de fenetre appelante
                          int iWM,							// Message Windows utilis pour la notification sur la fenetre appelante
                          BOOL modal,						// Modalit de la fonction appele
                          int cmdShow,						// Flag de visibilit : < 0, SW_RESTORE ou SW_HIDE
                          char* szCommand,					// Ligne de commande en entre
                          char *szResult,					// Buffer de donnes en retour
                          unsigned int sizeof_szResult);	// Taille du buffer de donnes en retour

int __stdcall SSV_Command_Ex(HWND hwnd,
                             int iWM,
                             BOOL modal,
                             int cmdShow,
                             char* szPyxPath,
                             char* szCommand,
                             char *szResult,
                             unsigned int sizeof_szResult);

/* Procdures particulires */
HWND __stdcall SSV_CreateWindow(void);
void __stdcall SSV_DestroyWindow(void);
void __stdcall SSV_Command_wait(char *szResult, unsigned int sizeof_szResult);

#ifdef __cplusplus
}
#endif

#endif /* _PYXINTERF_H */

/* eof */